import React, { useContext } from 'react';
import { GamesContext } from '../../../context/games';

export default function Accept({ onClick }) {
    const games = useContext(GamesContext);

    const selectedGame = games.findGame({ uuid: games.proposal.selectedUUID });
    const isReady = selectedGame?.status === 'GAME_PROPOSAL_WAIT_FOR_YOU' ? true : '';

    if (selectedGame?.status !== 'GAME_PROPOSAL_WAIT_FOR_OPPONENT')
        return (
            <button className={'Accept' + (isReady && ' ready')}>
                Accept
            </button>
        )
}